[Hackage] #791: Large libraries not installable on OS X

Hackage cvs-ghc at haskell.org
Tue Apr 5 14:17:49 CEST 2011

#791: Large libraries not installable on OS X
  Reporter:  batterseapower  |        Owner:         
      Type:  defect          |       Status:  new    
  Priority:  high            |    Milestone:         
 Component:  Cabal library   |      Version:
  Severity:  normal          |     Keywords:         
Difficulty:  unknown         |   Ghcversion:         
  Platform:  Mac OS          |  

Comment(by batterseapower):

 The archive-loading bug is fixed upstream. For now you have to work around
 the issue by installing the library with --disable-library-for-ghci, so
 GHCi won't work with such a library. When the new GHC comes out you will
 get GHCi support, but you will still to use --disable-library-for-ghci in
 order to install the package in the first place.

 When Cabal stops generating the GHCi object file by default we will stop
 trying to link large objects and hence this error will be a non-issue.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/791#comment:8>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list